package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author Dominic
 * @date 2021/6/27 10:46
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_TARGET")
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("安灯目标")
public class AndonTarget extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8981868292756664265L;

    @Column(name = "TARGET_TYPE")
    @ApiParam("目标类型")
    private String targetType;

    @Column(name = "TARGET")
    @ApiParam("目标值")
    private String target;

    @Column(name = "WEEK")
    @ApiParam("星期")
    private String week;
}
