package cn.estsh.i3plus.pojo.aps.annotation;

import cn.estsh.i3plus.pojo.aps.validator.ShiftTimeValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description : 班次时间校验注解
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-29
 * @Modify:
 **/
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy={ShiftTimeValidator.class})
public @interface ShiftTimeAnnotation {
    String message() default "班次时间格式错误，示例（多个以逗号分隔）：01:00-08:20";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
