package cn.estsh.i3plus.pojo.bsp.client.bean.po;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author ns
 * @create 2021/5/26 0026 下午 14:39
 * 注册的方法信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("方法注册的参数列表")
public class MethodRegistryParam implements Serializable {

    @ApiParam("方法名")
    private String methodName;
    @ApiParam("方法所在bean的名字")
    private String beanName;
    @ApiParam("方法调用所需要的key")
    private String methodHandlerKey;
    @ApiParam("方法参数列表")
    private List<ParamDescription> parameterList;
    @ApiParam("方法的版本")
    private String version;
    @ApiParam("方法影响了那些表")
    private String[] affectTableClassName;
    @ApiParam("方法的处理逻辑")
    private String[] systemProcess;
    @ApiParam("方法参数的验证逻辑")
    private String[] validation;

}
