package cn.estsh.i3plus.pojo.bsp.client.bean.po;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * @author ns
 * @create 2021/5/24 0024 上午 11:08
 * 注册的参数信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("参数的注册信息")
public class ParamDescription implements Serializable {
    @ApiParam("参数名")
    private  String name;
    @ApiParam(value = "参数类型",defaultValue ="1" ,allowableValues = "0 或者 1")
    private Integer type; //出参还是入参
    @ApiParam("参数类型名")
    private String typeName; //类型
    //默认值
    @ApiParam("参数默认值")
    private String defaultValue;
    //允许的值
    @ApiParam("参数可选值")
    private String[] allowableValues;
    //是否必填
    @ApiParam("参数是否必填")
    private Boolean required;
    //例子
    @ApiParam("参数的例子")
    private String example;
    //是否可以为空
    @ApiParam("参数是否可以为空")
    private Boolean allowEmptyValue;

}
