package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:33
 * @Modify:
 **/
@Entity
@Table(name = "EXECUTOR_REGISTRY_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("执行器")
public class ExecutorRegistryInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = -736085114778936163L;

    @Column(name = "APP_NAME")
    @ApiModelProperty("执行器application Name")
    private String appName;

    @Column(name = "ADDRESS")
    @ApiModelProperty("执行器地址，包含ip:port")
    private String address;

    @Column(name = "UPDATE_TIME")
    @ApiModelProperty("最近一次心跳时间")
    private Date updateTime;
}
