package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/18 15:08
 * @Modify:
 **/
@Entity
@Table(name = "METHOD_LEVEL_PARAM_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法层级参数关系")
public class MethodLevelParamInfo extends BaseBean implements Serializable {

    private static final long serialVersionUID = 5700666543596399984L;
    /**
     * 来源 层级 + 参数名 + 方法Id
     */
    @Column(name = "PARAM_KEY")
    @ApiModelProperty("参数来源 层级 + 参数名 + 方法Id")
    private String paramKey;
    /**
     * 对应方法的入参名称
     */
    @Column(name = "METHOD_PARAM_NAME")
    @ApiModelProperty("对应当前方法的入参名称")
    private String methodParamName;

    /**
     * 对应的methodId
     */
    @Column(name = "METHOD_ID")
    @ApiModelProperty("对应的当前层级的方法Id")
    private Long methodId;

    @Column(name = "METHOD_GROUP_ID")
    @ApiModelProperty("对应方法组的Id")
    private Long methodGroupId;
    /**
     * 原有方法的入参是否必须，做验证
     */
    @Column(name = "require")
    @ApiModelProperty("原有方法的入参是否必须，做调用前验证")
    private Integer require;
    /**
     * 参数类型，验证是否正确
     */
    @Column(name = "type")
    @ApiModelProperty("参数类型验证")
    private String type;
}
