package cn.estsh.i3plus.pojo.mdm.bean.busi;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2021-03-29 17:41
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MDM_EXTERNAL_APP")
@ApiModel("外部应用信息")
public class MdmExternalApp extends BaseBean {

    private static final long serialVersionUID = -5344361274535836969L;

    @Column(name = "APP_NAME")
    @ApiParam("服务名称")
    private String appName;

    @Column(name = "APP_CODE")
    @ApiParam("服务代码")
    private String appCode;

    @Column(name = "CALL_TOKEN")
    @ApiParam("调用令牌")
    private String callToken;

    @Column(name = "APP_BRIEF")
    @ApiParam("服务简介")
    private String appBrief;

    @Column(name = "CALLBACK_URL")
    @ApiParam("回调接口")
    private String callbackUrl;


    @Column(name = "EMAIL")
    @ApiParam("通知邮箱")
    private String email;

    @Column(name = "OPERATE_TYPE")
    @ApiParam("操作类型")
    private String operateType;

}
