package cn.estsh.i3plus.pojo.mdm.bean.busi.core;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.mdm.bean.base.BaseMdmBusiExtdBean;
import cn.estsh.i3plus.pojo.mdm.bean.master.MdmGear;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 主数据齿轮-平台扩展
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-12 18:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MDM_GEAR_CORE_EXTD")
@ApiModel("主数据齿轮-平台扩展")
public class MdmGearCoreBusiExtd extends BaseMdmBusiExtdBean {

    private static final long serialVersionUID = -3535174942277452194L;

    @Transient
    @ApiParam("主数据Class")
    @AnnoOutputColumn(hidden = true)
    public static Class mdmMasterClass  = MdmGear.class;

    @Transient
    @ApiParam("软件模块")
    @AnnoOutputColumn(refClass = CommonEnumUtil.SOFT_TYPE.class,hidden = true)
    public static Integer mdmSoftType = CommonEnumUtil.SOFT_TYPE.CORE.getValue();

    @Column(name = "CORE_NUM")
    @ApiParam("核心数量")
    public String coreNum;

}
