package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description :IF_订单交付数据
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2020-11-06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "IF_DELIVER_ORDER_DATA")
@Api("IF_订单交付数据")
public class IfDeliverOrderData extends BaseBean implements Serializable {
    private static final long serialVersionUID = 855289009053695347L;

    @Column(name = "RGANIZTION_CODE")
    @ApiParam("工厂代码")
    private String rganiztionCode;

    @Column(name = "YEAR")
    @ApiParam("年")
    private Integer year;

    @Column(name = "MONTH")
    @ApiParam("月")
    private Integer month;

    @Column(name = "QTY")
    @ApiParam("发运数量")
    private Integer qty = 0;

    @Column(name = "MOVE_TYPE")
    @ApiParam("移动类型")
    private Integer moveType;

    @Column(name = "SYNC_STATUS")
    @ApiParam("同步状态")
    private Integer syncStatus;

    @Column(name = "ERROR_MESSAGE")
    @ApiParam("异常消息")
    private String errorMessage;

    @Column(name = "ACTION_CODE")
    @ApiParam("动作代码")
    private String actionCode;

    @Column(name = "IF_CODE")
    @ApiParam("接口代码")
    private String ifCode;
}
