package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :BP业务对比表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2020-11-06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BP_BUSINESS")
@Api("BP业务对比表")
public class MesBpBusiness extends BaseBean implements Serializable {
    private static final long serialVersionUID = 855289009053666347L;

    @Column(name = "YEAR")
    @ApiParam("年")
    private Integer year;

    @Column(name = "MONTH")
    @ApiParam("月")
    private Integer month;

    @Column(name = "QTY")
    @ApiParam("预测数量")
    private Double qty = 0d;
}
