package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :mes客户表
 * @Reference :
 * @Author : yiming.gu
 * @CreateDate : 2019-05-20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CUSTOMER_PART")
@Api("客户零件关系")
public class MesCustomerPart extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2600442373171403668L;
    @Column(name = "CUSTOMER_CODE")
    @ApiParam("客户代码")
    private String customerCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam("客户物料号")
    private String customerPartNo;

    @Column(name = "CUSTOMER_PART_NAME")
    @ApiParam("客户物料名称")
    private String customerPartName;

    @Column(name = "CUSTOMER_PART_COLOR")
    @ApiParam("客户物料颜色")
    private String customerPartColor;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("用量")
    private Double qty;

    @Column(name = "CUSTOMER_CFG_CODE")
    @ApiParam("客户配置代码")
    private String customerCfgCode;

    @Column(name = "CUSTOMER_MARK")
    @ApiParam("客户代号")
    private String customerMark;

    @Column(name = "CUSTOMER_LATCH")
    @ApiParam("客户抬头")
    private String customerLatch;
}
