package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description: MES-中航DB数据复核不通过记录表
 * @CreateDate: 2020/9/14
 * @Author: simon.song
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_DB_CHECK_RECORD")
@Api("中航复核异常记录表")
public class MesDbCheckRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6727925715356900171L;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "ERROR_FILED_CODE")
    @ApiParam("异常取值字段")
    private String errorFiledCode;

    @Column(name = "ERROR_FILED_DESC")
    @ApiParam("异常取值字段描述")
    private String errorFiledDesc;

    //10数字、20字符串
    @Column(name = "ERROR_FILED_TYPE")
    @ApiParam("异常取值字段类型")
    private String errorFiledType;

    @Column(name = "ERROR_FILED_VALUE")
    @ApiParam("异常取值字段值")
    private String errorFiledValue;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码（第三方库表名）")
    private String objectCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;


    @Transient
    @ApiParam("按钮名称")
    private String btnName;

    @Transient
    @ApiParam("按钮颜色")
    private String btnColor;

    @Transient
    @ApiParam("按钮类别")
    private String btnType;

}
