package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description: MES-中航DB数据检查配置表
 * @CreateDate: 2020/9/14
 * @Author: simon.song
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_DB_DATA_CHECK")
@Api("中航DB数据检查配置表")
public class MesDbDataCheck extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6889751438239451959L;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码（第三方库表名）")
    private String objectCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "QC_FILED_CODE")
    @ApiParam("质检取值字段")
    private String qcFiledCode;

    @Column(name = "QC_FILED_DESC")
    @ApiParam("质检取值字段描述")
    private String qcFiledDesc;

    @Column(name = "QC_FILED_TYPE")
    @ApiParam("质检取值字段类型")
    private String qcFiledType;

    @Column(name = "QC_FILED_VALUE")
    @ApiParam("缺陷类型合格值")
    private String qcFiledValue;


}
