package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description : 泰国电检打印数据
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2021/6/16 14:15
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_ELECTROTESTING_PRINT_DATA")
@Api("MES_电检打印数据")
public class MesElectrotestingPrintData extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5179928838368157923L;

    @Column(name = "COLOUR_CODE")
    @ApiParam("颜色代码")
    private String colourCode;

    @Column(name = "VARIANT")
    @ApiParam("型号")
    private String variant;

    @Column(name = "PRODUCTION_NUMBER")
    @ApiParam("产品号")
    private String productionNumber;

    @Column(name = "COMMISSION_NUMBER")
    @ApiParam("佣金号")
    private String commissionNumber;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("流水号")
    private String serialNumber;

    @Column(name = "QAD_NO")
    @ApiParam("位置号")
    private String qadNo;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PRINT_STATUS")
    @ApiParam("打印状态")
    private Integer printStatus = 10;
}
