package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description: 设备周期计划作业要求
 * @Author: jokelin
 * @Date: 2021/1/25 10:43 AM
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_EQU_TASK_PLAN_STANDARD")
@Api("设备周期计划作业要求")
public class MesEquTaskPlanStandard extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8284644034068953809L;

    @Column(name = "PLAN_ID")
    @ApiParam("计划ID")
    private Long planId;

    @Column(name = "ACTION_ITEM")
    @ApiParam("操作项")
    private String actionItem;

    @Column(name = "ACTION_STANDARD")
    @ApiParam("操作标准")
    private String actionStandard;

    @Column(name = "ACTION_GUIDE")
    @ApiParam("操作指导")
    private String actionGuide;

    @Column(name = "ACTION_GUIDE_URL")
    @ApiParam("指导文件路径")
    private String actionGuideUrl;
}
