package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: dominic
 * @Date: 2020/12/03 20:29
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FAILURE_MODE_APPROVAL")
@Api("MES_失效模式审批人员")
public class MesFailureModeApproval extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5274274774653791153L;

    @Column(name = "PATTERN_CODE")
    @ApiParam("模式代码")
    private String patternCode;

    @Column(name = "PATTERN_NAME")
    @ApiParam("模式代码名称")
    private String patternName;

    @Column(name = "DEPARTMENT_NAME_RDD")
    @ApiParam("部门名称")
    private String departmentNameRdd;

    @Column(name = "DEPARTMENT_ID")
    @ApiParam("部门id")
    private Long departmentId;

    @Column(name = "USER_NAME")
    @ApiParam("人员名称")
    private String userName;

    @Column(name = "USER_ID")
    @ApiParam("人员id")
    private Long userId;

    @Column(name = "PERSONNEL_LEVEL")
    @ApiParam("人员级别")
    private Integer personnelLevel;
}
