package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/7/3 5:14 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_JIT_LOCK_CACHE", indexes = {
        @Index(columnList = "JIT_ACTUAL_NO"),
        @Index(columnList = "STATUS")
})
@Api("MES_JIT队列锁定池")
public class MesJitLockCache extends BaseBean implements Serializable {

    private static final long serialVersionUID = -308930683558229105L;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @Column(name = "JIT_ACTUAL_NO")
    @ApiParam("队列编号")
    private String jitActualNo;

    @Column(name = "VIN_CODE")
    @ApiParam("vin")
    private String vinCode;

    @Column(name = "WO_TYPE")
    @ApiParam("工单类型")
    private Integer woType;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;

    @Column(name = "JIT_SEQ")
    @ApiParam("JIT排序号")
    private String jitSeq;
}
