package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :锁定记录
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2021-06-10
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_LOCK_RECORD")
@Api("mes锁定记录表")
public class MesLockRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 5132229443235106976L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位代码")
    private String workCellCode;

    @Column(name = "WORK_CELL_NAME")
    @ApiParam("工位名称")
    private String workCellName;

    @Column(name = "PROCESS_CODE")
    @ApiParam("工序代码")
    private String processCode;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;

    @Column(name = "LOCK_REASON")
    @ApiParam("锁定原因")
    private String lockReason;

    @Column(name = "EMPLOYEE_NUMBER")
    @ApiParam("工号")
    private String employeeNumber;

    @Column(name = "LOCK_STATUS")
    @ColumnDefault("1")
    @ApiParam("锁定状态")
    private Integer lockStatus = 1;
}
