package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/12/10 5:39 PM
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PACKAGE_QUEUE", indexes = {
        @Index(columnList = "PACKAGE_NO"),
        @Index(columnList = "CT_NO")
})
@Api("MES_包装队列")
public class MesPackageQueue extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7427832962272134299L;

    @Column(name = "PACKAGE_NO")
    @ApiParam("包装编码")
    private String packageNo;

    @Column(name = "CT_NO")
    @ApiParam("容器编号")
    private String ctNo;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameAdd;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)")
    @ApiParam("数量")
    private Double qty;

    @Column(name = "LOT_NO")
    @ApiParam("批号")
    private String lotNo;

    @Column(name = "FIX_LOT_NO")
    @ApiParam("特殊批号")
    private String fixLotNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "SEQ", columnDefinition = "decimal(18,8)")
    @ApiParam("排序")
    private Double seq;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;
}