package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description:
 * @Author: Jessica
 * @Date: 2020/11/20 5:16 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PART_FURNACE")
@Api("MES_物料上炉模式")
public class MesPartFurnace extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3681747818263404111L;

    @Column(name = "MODEL_NO")
    @ApiParam("模式编号")
    private String modelNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "orientation")
    @ApiParam("方向")
    private String orientation;

    @Column(name = "MODEL_IMG_URL")
    @ApiParam("模式图片路径")
    private String modelImgUrl;
}
