package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description: 特殊物料
 * @Author: jokelin
 * @Date: 2021/3/24 3:10 PM
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PART_SPECIFIC")
@Api("特殊物料关系信息")
public class MesPartSpecific extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4039513102671816031L;

    @Column(name = "PART_NO")
    @ApiParam("父零件号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("父零件名称")
    private String partName;

    @Column(name = "ITEM_PART_NO")
    @ApiParam("子零件")
    private String itemPartNo;

    @Column(name = "ITEM_PART_NAME")
    @ApiParam("子零件名称")
    private String itemPartName;

    @Column(name = "TORQUE_SN")
    @ApiParam("特殊码")
    private String specificSn;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

}
