package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.mes.model.ProductDataModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate:2019\10\9 0009
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PLC_DATA_RECORD", indexes = {
        @Index(columnList = "PLC_CODE")
})
@Api("PLC数据记录表")
public class MesPlcDataRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8789141495695469898L;
    @Column(name = "PLC_CODE")
    @ApiParam("PLC代码")
    private String plcCode;

    @Column(name = "PLC_NAME")
    @ApiParam("PLC名称")
    private String plcName;

    @Column(name = "PLC_VLAUE")
    @ApiParam("PLC型号")
    private String plcValue;

}
