package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: dominic
 * @Date: 2020/12/03 20:29
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_TEMPORARY_SN_RECORD")
@Api("MES_临时条码记录信息")
public class MesTemporarySnRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5274274774653791153L;

    @Column(name = "WORK_ORDER_NO")
    @ApiParam("生产工单号")
    private String workOrderNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "PRODUCT_SN")
    @ApiParam("产品条码")
    private String productSn;

    @Column(name = "IF_PACK")
    @ApiParam("是否打包")
    private Integer ifPack;

    @Column(name = "PATTERN_CODE")
    @ApiParam("模式代码")
    private String patternCode;

    @Column(name = "PATTERN_NAME")
    @ApiParam("模式名称")
    private String patternName;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty;
}
