package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesPackage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/18 16:13 下午
 * @Description: 包装查询报表返回model
 **/
@Api("包装查询报表返回model")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MesPackageQueryModel extends MesPackage {
    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工位")
    private String workCellName;

    @ApiParam("产线")
    private String workCenterName;

    @ApiParam("是否封箱Name")
    private String isSealedName;

    public MesPackageQueryModel(String workCenterName, String workCellName) {
        this.workCenterName = workCenterName;
        this.workCellName = workCellName;
    }

    public MesPackageQueryModel(String packageNo, String partNo, String partNameRdd, Double qty, Double packSpecQty, Integer isSealed, String ctNo, String processName, String workCellName, String workCenterName) {
        super(packageNo, partNo, partNameRdd, qty, packSpecQty, isSealed, ctNo);
        this.processName = processName;
        this.workCellName = workCellName;
        this.workCenterName = workCenterName;
    }

    public MesPackageQueryModel(String packageNo, String partNo, String partNameRdd, Double qty, Double packSpecQty, String unit, String lotNo, String fixLotNo, String packSpec, Integer printStatus, Integer isSealed, Integer packLevel, String workOrderNo, String memo, String workCenterCode, String workCellCode, String custCode, String inLocationTime, String ctNo, String sampleType, String packageLabelTemplate, String qrCode, String locationCode, String erpWorkCenterCode, String fnLocationNo, String processName, String workCenterName, String workCellName) {
        super(packageNo, partNo, partNameRdd, qty, packSpecQty, unit, lotNo, fixLotNo, packSpec, printStatus, isSealed, packLevel, workOrderNo, memo, workCenterCode, workCellCode, custCode, inLocationTime, ctNo, sampleType, packageLabelTemplate, qrCode, locationCode, erpWorkCenterCode, fnLocationNo);
        this.processName=processName;
        this.workCenterName = workCenterName;
        this.workCellName = workCellName;
    }

    public MesPackageQueryModel(String packageNo, String partNo, String partNameRdd, Double qty, Double packSpecQty, String unit, String lotNo, String fixLotNo, String packSpec, Integer printStatus, Integer isSealed, Integer packLevel, String workOrderNo, String memo, String workCenterCode, String workCellCode, String custCode, String inLocationTime, String ctNo, String sampleType, String packageLabelTemplate, String qrCode, String locationCode, String erpWorkCenterCode, String fnLocationNo,String processName, String workCenterName, String workCellName,String isSealedName) {
        super(packageNo, partNo, partNameRdd, qty, packSpecQty, unit, lotNo, fixLotNo, packSpec, printStatus, isSealed, packLevel, workOrderNo, memo, workCenterCode, workCellCode, custCode, inLocationTime, ctNo, sampleType, packageLabelTemplate, qrCode, locationCode, erpWorkCenterCode, fnLocationNo);
        this.isSealedName=isSealedName;
        this.processName=processName;
        this.workCenterName = workCenterName;
        this.workCellName = workCellName;
    }

}
