package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesRoute;
import cn.estsh.i3plus.pojo.mes.bean.MesRouteProcess;
import cn.estsh.i3plus.pojo.mes.bean.MesStateMachine;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 状态机流程工序设计Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-09-27 15:39
 * @Modify:
 **/
@Data
@Api("状态机流程工序设计Model")
public class StateMachineRouteDesignModel {

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("用户")
    private String userInfo;

    @ApiParam("流程")
    private MesRoute route;

    @ApiParam("流程工序(根据Seq分组)")
    private Map<String, MesRouteProcess> routeProcessMap;

    @ApiParam("状态机")
    private MesStateMachine stateMachine;

    @ApiParam("状态点")
    private List<StateMachineStatusModel> stateMachineStatusList;

    @ApiParam("流程工序Id")
    private Long routeProcessId;

    @ApiParam("产品流程Id")
    private Long prodRouteCfgId;
}
