package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

@Data
public class TJMgnBoardModel extends BaseBean implements Serializable {

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("质量状态")
    private Integer qcStatus;

    @ApiParam("条码数量")
    private Integer snQty;

    @ApiParam("颜色")
    private String partColor;

    @ApiParam("生产数量")
    private Double prodQty;

    @ApiParam("一次合格数量")
    private Double firstQuQty;

    @ApiParam("抛光数量")
    private Double polishQty;

    @ApiParam("不合格数量")
    private Double noQuQty;

    @ApiParam("待定数量")
    private Double determindQty;

    @ApiParam("一次合格率")
    private String firstPassRate;

    @ApiParam("最终合格率")
    private String finalPassRate;

    @ApiParam("不良处理类型")
    private String defectType;

    @ApiParam("反喷标识")
    private String reverseSprayMark;

    @ApiParam("班次")
    private String shiftName;

    @ApiParam("车间配置代码")
    private String areaConfigCode;

    @ApiParam("列名")
    private List<List<String>> headModelList;

    @ApiParam("列值")
    private List<List<Double>> headValueModelList;

    @ApiParam("不良汇总列名")
    private List<String> defectNameList;

    @ApiParam("不良汇总列值")
    private List<Double> defectValueList;

    @Transient
    @ApiParam("开始工单")
    private String workOrderNoStart;

    @Transient
    @ApiParam("结束工单")
    private String workOrderNoEnd;

    @ApiParam("产线")
    private String workCenterCode;

    @Transient
    @ApiParam("创建时间")
    private String createDatetime;

    public TJMgnBoardModel() {
    }

    public TJMgnBoardModel(String partNo, String partNameRdd, Integer qcStatus, String workOrderNo, Integer snQty, String createDatetime) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qcStatus = qcStatus;
        this.workOrderNo = workOrderNo;
        this.snQty = snQty;
        this.createDatetime = createDatetime;
    }

    public TJMgnBoardModel(String partNo, String partNameRdd, Integer qcStatus, String workOrderNo, Integer snQty) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qcStatus = qcStatus;
        this.workOrderNo = workOrderNo;
        this.snQty = snQty;
    }

}
