package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 产品履历报表-缺陷信息
 *
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 15:16
 **/
@Data
@ApiModel("产品工序过程查询-缺陷信息")
public class DefectRecordModel implements Serializable {

    private static final long serialVersionUID = 4994719388513997046L;

    @ApiParam("产线")
    private String workCenterName;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("质量代码")
    private Integer qcStatus;

    @ApiParam("质量状态")
    private String qcStatusName;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷位置")
    private String defectLocation;

    @ApiParam("缺陷位置名称")
    private String defectLocationName;

    @ApiParam("客户零件号")
    private String customerPartNo;

    @ApiParam("零件二维码")
    private String serialNumber;

    @ApiParam(value = "执行人")
    public String createUser;

    @ApiParam(value = "扫描时间")
    public String createDatetime;

    @ApiParam(value = "图片路径")
    private String pictureUrl;


    public DefectRecordModel(String workCenterName, String processName, Integer qcStatus, String defectName, String defectLocation, String customerPartNo, String serialNumber, String createUser, String createDatetime, String pictureUrl) {
        this.workCenterName = workCenterName;
        this.processName = processName;
        this.qcStatus = qcStatus;
        this.defectName = defectName;
        this.defectLocation = defectLocation;
        this.customerPartNo = customerPartNo;
        this.serialNumber = serialNumber;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.pictureUrl = pictureUrl;
    }
}
