package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 产品履历报表-料箱信息
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 17:16
 **/
@Data
@NoArgsConstructor
@ApiModel("产品履历报表-料箱信息")
public class PackageTravelModel implements Serializable {

    private static final long serialVersionUID = -7031472442162953544L;

    @ApiParam("客户零件号")
    private String packageNo;

    @ApiParam("客户零件号")
    private String customerPartNo;

    @ApiParam("零件二维码")
    private String serialNumber;

    @ApiParam("CMS零件号")
    private String partNo;

    @ApiParam("CMS标签号")
    private String qrCode;

    @ApiParam("产线")
    private String workCenterName;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("料架类型")
    private String ctCode;

    @ApiParam("料架编号")
    private String ctNo;

    @ApiParam("进炉模式")
    private String modelNo;

    @ApiParam("炉内料架位置")
    private String fnLocationNo;

    @ApiParam("层位置")
    private String ctLocationNo;

    @ApiParam("层内零件位置")
    private String ctLocationPartNo;

    @ApiParam("执行时间")
    private String createDatetime;

    @ApiParam("执行时间")
    private String createUser;

    public PackageTravelModel(String packageNo,String customerPartNo, String serialNumber, String partNo, String qrCode, String workCenterName, String processName, String ctCode, String ctNo, String modelNo, String fnLocationNo, String ctLocationNo, String createDatetime, String createUser) {
        this.packageNo = packageNo;
        this.customerPartNo = customerPartNo;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.qrCode = qrCode;
        this.workCenterName = workCenterName;
        this.processName = processName;
        this.ctCode = ctCode;
        this.ctNo = ctNo;
        this.modelNo = modelNo;
        this.fnLocationNo = fnLocationNo;
        this.ctLocationNo = ctLocationNo;
        this.createDatetime = createDatetime;
        this.createUser = createUser;
    }
}
