package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 全工序报废率-查询结果-model
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/21 10:10
 **/
@Data
@NoArgsConstructor
@ApiModel("全工序报废率-查询结果")
public class ProcessScrapRate {

    @ApiParam("工序")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("项目号")
    private String prodCfgTypeCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("报废率")
    private BigDecimal scrapRate;

    @ApiParam("物料号")
    private String partNo;


    public ProcessScrapRate(String processCode,String processName, String prodCfgTypeCode, String workCellCode,String partNo) {
        this.processCode = processCode;
        this.processName = processName;
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.workCellCode = workCellCode;
        this.partNo = partNo;
    }
}
