package cn.estsh.i3plus.pojo.mes.model.report;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/28 14:18 下午
 * @Description: 缺陷率占比柏拉图报表查询参数model
 **/
@Api("缺陷率占比柏拉图报表查询参数model")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProduceDefectRatePlatoQueryModel extends BaseBean {
    /**
     * 必选
     */

    @ApiParam("工序")
    private String processCode;

    @ApiParam("柱子展示条数")
    private Integer displaySize;

    //质量状态（20冻结，30报废）
    @ApiParam("质量状态")
    private List<Integer> qcStatusList;
    /**
     * 可选
     */
    @ApiParam("项目号")
    private List<String> prodCfgTypeCodeList;

    @ApiParam("零件号")
    private List<String> partNoList;

    //统计方式（0按月，1按天。）
    @ApiParam("统计方式")
    private Integer statisticalMethod;

    @ApiParam("开始时间")
    private String modifyStartDate;

    @ApiParam("结束时间")
    private String modifyEndDate;
}
