package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/24 18:57
 **/
@Data
@NoArgsConstructor
@ApiModel("生产统计明细")
public class ProductDetailResult {

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam
    private String customerPartNo;

    @ApiParam("零件描述")
    private String partNameRdd;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工序")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("条码状态")
    private String qcStatus;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;

    @ApiParam(value = "生产线名称")
    public String workCenterName;


    public ProductDetailResult(String serialNumber, String partNo,String customerPartNo, String partNameRdd, String workCenterCode, String processCode, String processName, String qcStatus, String createUser, String createDatetime, String modifyUser, String modifyDatetime,String workCenterName) {
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.customerPartNo = customerPartNo;
        this.partNameRdd = partNameRdd;
        this.workCenterCode = workCenterCode;
        this.processCode = processCode;
        this.processName = processName;
        this.qcStatus = qcStatus;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.workCenterName = workCenterName;
    }
}
