package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 产品履历报表-产品信息
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 15:16
 **/
@Data
@ApiModel("产品工序过程查询-条件查询页面")
public class ProductSnConditionModel implements Serializable {

    private static final long serialVersionUID = 3154899794523800804L;

    @ApiParam("零件二维码")
    private String serialNumber;

    @ApiParam("客户零件号")
    private String customerPartNo;

    @ApiParam("CMS零件号")
    private String partNo;

    @ApiParam("项目名称")
    private String prodCfgTypeCode;

    @ApiParam("产线")
    private String workCenterName;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工位名称")
    private String workCellName;

    @ApiParam(value = "扫码时间")
    public String createDatetime;

    @ApiParam("质量状态")
    private Integer qcStatus;

    @ApiParam("质量状态Name")
    private String qcStatusName;

    public ProductSnConditionModel(String serialNumber, String customerPartNo, String partNo, String prodCfgTypeCode, String workCenterName, String processName, String workCellName, String createDatetime, Integer qcStatus) {
        this.serialNumber = serialNumber;
        this.customerPartNo = customerPartNo;
        this.partNo = partNo;
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.workCenterName = workCenterName;
        this.processName = processName;
        this.workCellName = workCellName;
        this.createDatetime = createDatetime;
        this.qcStatus = qcStatus;
    }
}
