package cn.estsh.i3plus.pojo.model.platform;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author ns
 * @create 2021/6/28 0028 下午 13:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class AccountExportModel implements Serializable {
    //用户名 登录名  部门 邮箱 手机 登录次数 最后登录时间 状态


    @ApiModelProperty(value ="姓名" , access ="名称")
    private String infoName;


    @ApiModelProperty(value ="登陆名称" , access ="登陆名称")
    private String userLoginName;


    @ApiModelProperty(value ="邮箱" , access ="邮箱")
    private String userEmail;

    @ApiModelProperty(value ="手机号" , access ="手机号")
    private String userPhone;

    @ApiModelProperty(value ="部门名称" , access ="部门名称")
    private String departmentNameRdd;

    @ApiModelProperty(value = "登录次数", example = "0")
    private Integer userLoginNum;

    @ApiModelProperty(value = "账号最后登录时间")
    private String userLoginLastDateTime;

    @ApiModelProperty(value ="账号状态" , example ="-1")
    @AnnoOutputColumn(refClass = CommonEnumUtil.USER_STATUS.class)
    private Integer userStatus;
}
