package cn.estsh.i3plus.pojo.model.platform;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/2/20 下午12:55
 * @desc
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Api("系统日志模型")
public class SysLogModel implements Serializable {
    private static final long serialVersionUID = -2982120258911167575L;

    @ApiParam("查询日期")
    private String queryDate;

    @ApiParam("查询开始时间")
    private String queryBeginTime;

    @ApiParam("查询结束时间")
    private String queryEndTime;

    @ApiParam("索引名称")
    private String indexName;

    @ApiParam("索引类型")
    private Integer indexType;

    @ApiParam("聚合时间")
    private Integer aggsDuration;

    @ApiParam("日志等级")
    private Integer level;

    @ApiParam("执行线程")
    private String thread;

    @ApiParam("服务器环境变量HostId")
    private String hostId;

    @ApiParam("日志信息")
    private List<LogFieldModel> logs;


}
