package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 上午10:43
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("组件")
public class ScrComponent extends BaseBean implements Serializable {
    private static final long serialVersionUID = 3832856363595940018L;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty(value = "组件代码")
    private String componentCode;

    @Column(name = "COMPONENT_TYPE")
    @ApiModelProperty(value = "组件类型")
    private String componentType;

    @Column(name = "MODEL_CODE")
    @ApiModelProperty(value = "model代码")
    private String modelCode;

    @Lob
    @Column(name = "COMPONENT_PROPERTY")
    @ApiModelProperty(value = "组件描述")
    private String componentProperty;


}