package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/5/20 17:51
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_PARAM")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("组件参数")
public class ScrComponentParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3232417792617757722L;

    @Column(name = "COMPONENT_TYPE")
    @ApiModelProperty(value = "组件类型")
    private String componentType;

    @Column(name = "PARAM_NAME")
    @ApiModelProperty(value = "参数名")
    private String paramName;

    @Column(name = "SEARCH_NAME")
    @ApiModelProperty(value = "搜索名称")
    private String searchName;

    @Lob
    @Column(name = "SEARCH_WHERE")
    @ApiModelProperty(value = "搜索条件")
    private String searchWhere;


}
