package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/5/20 17:51
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_PARAM_DETAIL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("组件参数配置")
public class ScrComponentParamDetail extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4771034700299839870L;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty(value = "组件代码")
    private String componentCode;

    @Column(name = "COMPONENT_TYPE")
    @ApiModelProperty(value = "组件类型")
    private String componentType;

    @Lob
    @Column(name = "COMPONENT_PARAM_DETAIL")
    @ApiModelProperty(value = "组件参数信息")
    private String componentParamDetail;

}
