package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午1:27
 * @desc 数据对象管理
 */
@Entity
@Table(name = "SCR_DATA_OBJECT_PROPERTY")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("数据对象管理")
public class ScrDataObjectProperty extends BaseBean implements Serializable {
    private static final long serialVersionUID = -2729101772049144018L;

    @Column(name = "DATA_OBJECT_CODE")
    @ApiModelProperty(value = "数据对象代码")
    private String dataObjectCode;

    @Column(name = "DISPLAY_NAME")
    @ApiModelProperty(value = "字段名称")
    private String displayName;

    @Column(name = "DATA_TYPE")
    @ApiModelProperty(value = "数据类型")
    private Integer dataType;

    @Column(name = "DATA_TYPE_NAME")
    @ApiModelProperty(value = "数据类型名称")
    private String dataTypeName;

    @Column(name = "FIELD_TYPE")
    @ApiModelProperty(value = "java类型")
    private String fieldType;

    @Column(name = "FIELD_CODE")
    @ApiModelProperty(value = "字段代码")
    private String fieldCode;

    @Column(name = "NULLABLE")
    @ApiModelProperty("是否能为空")
    private Integer nullable;

    @Column(name = "FIELD_NAME")
    @ApiModelProperty(value = "字段名称")
    private String fieldName;

    @Column(name = "FIELD_SIZE")
    @ApiModelProperty(value = "字段长度")
    private Integer fieldSize;

    @Column(name = "DESCRIPTION")
    @ApiModelProperty(value = "描述")
    private String description;


}
