package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/11 下午5:01
 * @desc
 */
@Entity
@Table(name = "SCR_LAYOUT_ROW")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("布局-行")
public class ScrLayoutRow extends BaseBean implements Serializable {
    private static final long serialVersionUID = 6042010183759804616L;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiModelProperty("行代码")
    private String rowCode;

    @Column(name = "ROW_HEIGHT")
    @ApiModelProperty("行高")
    private Double rowHeight;

    @Column(name = "ROW_SEQ")
    @ApiModelProperty("行顺序")
    private Integer rowSeq;


}
