package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/12 下午4:30
 * @desc
 */
@Entity
@Table(name = "SCR_MODEL_FIELD_VIRTUAL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("model虚拟字段")
public class ScrModelFieldVirtual extends BaseBean implements Serializable {
    private static final long serialVersionUID = -7756539161394751580L;

    @Column(name = "MODEL_CODE")
    @ApiModelProperty("model代码")
    private String modelCode;

    @Column(name = "VIRTUAL_FIELD_NAME")
    @ApiModelProperty("虚拟字段名称")
    private String virtualFieldName;

    @Column(name = "SPEL_CALC_EXPRESSION")
    @ApiModelProperty("SPEL计算表达式")
    private String spelCalcExpression;

    @Column(name = "GROUP_NO")
    @ApiModelProperty("组号")
    private Integer groupNo;

    @Column(name = "FIELD_CODE")
    @ApiModelProperty("字段代码")
    private String fieldCode;

}
