package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午1:27
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN_HISTORY")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("数据对象管理")
public class ScrScreenHistory extends BaseBean implements Serializable {
    private static final long serialVersionUID = -2191090486124097302L;

    @Column(name = "SCREEN_CODE")
    @ApiModelProperty(value = "界面代码")
    private String screenCode;

    @Column(name = "SCREEN_VERSION")
    @ApiModelProperty(value = "页面版本")
    private String screenVersion;

    @Lob
    @Column(name = "SCREEN_DETAIL")
    @ApiModelProperty(value = "界面详情")
    private String screenDetail;


}
