package cn.estsh.i3plus.pojo.screen.bean.relation;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午8:42
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_MODEL_FIELD")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("Panel与Model字段的关系")
public class ScrComponentModelField extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3441031841089357196L;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty("Panel代码")
    private String panelCode;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty("组件代码")
    private String componentCode;

    @Column(name = "MODEL_CODE")
    @ApiModelProperty("model代码")
    private String modelCode;

    @Column(name = "FIELD_CODE")
    @ApiModelProperty("字段代码")
    private String fieldCode;

    @Column(name = "DISPLAY_NAME")
    @ApiModelProperty("字段名称")
    private String displayName;

    @Column(name = "IS_FUZZY_SEARCH")
    @ApiModelProperty("是否支持模糊查询")
    private Boolean isFuzzySearch;

    @Column(name = "IS_SHOW_IN_NEW")
    @ApiModelProperty("是否在新增时展示")
    private Boolean isShowInNew;

    @Column(name = "IS_SHOW_IN_EDIT")
    @ApiModelProperty("是否在编辑时展示")
    private Boolean isShowInEdit;

    @Column(name = "IS_ALLOW_SORT")
    @ApiModelProperty("是否支持排序")
    private Boolean isAllowSort;

    @Column(name = "FORM_SEQ")
    @ApiModelProperty("表单顺序")
    private Integer formSeq;

    @Column(name = "TABLE_SEQ")
    @ApiModelProperty("表格顺序")
    private Integer tableSeq;

    @Column(name = "VALIDATION")
    @ApiModelProperty("校验")
    private String validation;

    @Column(name = "DICTIONARY")
    @ApiModelProperty("字典")
    private String dictionary;

    @Column(name = "IS_VIRTUAL")
    @ApiModelProperty("是否是虚拟的")
    private boolean isVirtual;

    @Column(name = "FIELD_NAME")
    @ApiModelProperty("字段名称")
    private String fieldName;

    @Column(name = "SPEL_VIRTUAL_VALUE")
    @ApiModelProperty("SPEL表达式虚拟属性")
    private String spelVirtualValue;


}
