package cn.estsh.i3plus.pojo.screen.bean.relation;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 下午4:33
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_COMPONENT",
//        indexes = {
//        @Index(columnList = "PANEL_CODE")},
        uniqueConstraints = {
                @UniqueConstraint(columnNames = {"PANEL_CODE", "LAYOUT_CODE"})
        }
)
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("Panel与组件的关系")
public class ScrPanelComponent extends BaseBean {
    private static final long serialVersionUID = 3459027655126916483L;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty("panel代码")
    private String panelCode;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiModelProperty("行代码")
    private String rowCode;

    @Column(name = "COLUMN_CODE")
    @ApiModelProperty("列代码")
    private String columnCode;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty(value = "组件代码")
    private String componentCode;
}
