package cn.estsh.i3plus.pojo.screen.bean.relation;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 下午4:33
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN_PANEL",
        uniqueConstraints = {
                @UniqueConstraint(columnNames = {"SCREEN_CODE", "LAYOUT_CODE"})
        }
)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@EqualsAndHashCode(callSuper = true)
@ApiModel("Screen与Panel的关系")
public class ScrScreenPanel extends BaseBean {
    private static final long serialVersionUID = 3459027655126916483L;

    @Column(name = "SCREEN_CODE")
    @ApiModelProperty("Screen代码")
    private String screenCode;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiModelProperty("行代码")
    private String rowCode;

    @Column(name = "COLUMN_CODE")
    @ApiModelProperty("列代码")
    private String columnCode;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty(value = "panel代码")
    private String panelCode;
}
