package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
@ApiModel("Panel与组件关系的创建model")
public class ScrPanelComponentCreateModel implements Serializable {
    private static final long serialVersionUID = -5832175256726333348L;

    @ApiModelProperty("panel代码")
    private String panelCode;

    @ApiModelProperty("布局代码")
    private String layoutCode;

    @ApiModelProperty("行序号")
    private Integer rowSeq;

    @ApiModelProperty("列序号")
    private Integer columnSeq;

    @ApiModelProperty("组件参数信息")
    private Map<String, Object> baseComponent;

    @ApiModelProperty("model代码")
    private String modelCode;

    @ApiModelProperty("该组件的事件动作集合")
    private List<String> eventActions;

    @ApiModelProperty("组件使用到的model字段集合")
    private List<ScrModelField> modelFields;

}
