package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrComponent;
import cn.estsh.i3plus.pojo.screen.bean.ScrEventAction;
import cn.estsh.i3plus.pojo.screen.bean.relation.ScrComponentModelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
@ApiModel("Panel和组件的查询model")
public class ScrPanelComponentQueryModel implements Serializable {
    private static final long serialVersionUID = 4133777603151273736L;

    @ApiModelProperty("行代码")
    private String rowCode;

    @ApiModelProperty("列代码")
    private String columnCode;

    @ApiModelProperty("组件")
    private ScrComponent component;

    @ApiModelProperty("动作事件")
    private ScrEventAction eventAction;

    @ApiModelProperty("组件与model字段的关系")
    private List<ScrComponentModelField> modelFields;

}
