package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2021/5/14 09:58
 * @desc
 */
@Data
@ApiModel("请求model")
public class ScrRequestModel implements Serializable {
    private static final long serialVersionUID = -4119744678742689856L;

    @ApiModelProperty("工厂代码")
    private String organizeCode;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("页面代码")
    private String screenCode;

    @ApiModelProperty("容器代码")
    private String panelCode;

    @ApiModelProperty("模型")
    private String modelCode;

    @ApiModelProperty("动作")
    private String actionCode;

    @ApiModelProperty("分页")
    private Pager pager;

    @ApiModelProperty("下载文件Id")
    private Long downloadFileId;

    @ApiModelProperty("跳转参数")
    private String redirectUrl;

    @ApiModelProperty("跳转参数")
    private String enumName;

    @ApiModelProperty("目标系统")
    private CommonEnumUtil.SOFT_TYPE targetSystem;

    @ApiModelProperty("包名")
    private String packageName;

    @ApiModelProperty("类名")
    private String className;

    @ApiModelProperty("方法名")
    private String methodName;

    @ApiModelProperty("上传文件")
    private MultipartFile file;

    @ApiModelProperty("模型字段")
    private List<ScrModelField> modelFields;

    @ApiModelProperty("父代码")
    private String parentCode;

    @ApiModelProperty("父id")
    private Long parentId;

    @ApiModelProperty("where条件补充")
    private String whereAppender;

    @ApiModelProperty("调用接口参数")
    private Map<String,Object> param;


}
