package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("table列类型")
public class ScrTableColumnModel extends ScrTableModel implements Serializable {
    private static final long serialVersionUID = -1798799352034473523L;

    @ApiModelProperty("列名")
    private String columnName;

    @ApiModelProperty("列类型Id")
    private Integer columnDataType;

    @ApiModelProperty("列类型名称")
    private String columnTypeName;

    @ApiModelProperty("列大小")
    private Integer columnSize;

    @ApiModelProperty("列小数位数")
    private Integer columnDecimalDigits;

    @ApiModelProperty("基数")
    private Integer columnNumPrecRadix;

    @ApiModelProperty(value = "是否允许为null", notes = "0 不允许为空 1 允许为空 2 未知")
    private Integer columnNullable;

    @ApiModelProperty("列描述")
    private String columnRemarks;

    @ApiModelProperty("列默认值")
    private String columnDefault;

    @ApiModelProperty("列在表中位置")
    private Integer columnOrdinalPosition;


}
