package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2021-01-18 17:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_SAP")
@Api(value = "SAP适配器", description = "SAP适配器")
public class BsSuitCaseSap extends BaseBean {

    private static final long serialVersionUID = -2019771592688281243L;

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "SAP_CONN_ID")
    @ApiParam(value = "sap连接id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long sapConnId;

    @Column(name = "SAP_CONN_CODE")
    @ApiParam(value = "sap连接代码")
    private String sapConnCode;

    @Column(name = "SAP_CONN_NAME")
    @ApiParam(value = "sap连接代码")
    private String sapConnName;

    @Column(name = "BUSI_FUNC_NAME")
    @ApiParam(value = "业务方法")
    private String busiFuncName;

    @Column(name = "COMMIT_FUNC_NAME")
    @ApiParam(value = "提交方法名")
    private String commitFuncName;
}
