package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-01 11:21
 * @Modify:
 **/
@Data
@Table(name = "SWEB_VENDOR_REL")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("供应商关系表")
public class SwebVendorRel extends BaseBean {

    private static final long serialVersionUID = -283156702431035689L;
    @ApiParam("计划员代码")
    @Column(name = "PLANNER_CODE")
    private String plannerCode;

    @ApiParam("供应商名称")
    @Column(name = "VENDOR_NAME")
    private String vendorName;

    @ApiParam("供应商代码")
    @Column(name = "VENDOR_NO")
    private String vendorNo;

    @ApiParam("物料代码")
    @Column(name = "PART_NO")
    private String partNo;

    @ApiParam("物料名称")
    @Column(name = "PART_NAME_ADD")
    private String partNameAdd;
}
