package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 物流费用管理(长途运输)
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-05-06 14:50
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_LOGISTICS_COSTS")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "物流费用管理")
public class WmsLogisticsCosts extends BaseBean {
    private static final long serialVersionUID = -5307311210847854654L;

    @Column(name = "TRANSPORT_TYPE")
    @ApiParam(value = "运输类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "TRANSPORT_TYPE")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TRANSPORT_TYPE.class)
    private Integer transportType;

    @Column(name = "PLACE_OF_ORIGIN")
    @ApiParam(value = "发出地存储区")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String placeOfOrigin;

    @Column(name = "SHIPPING_FLAG")
    @ApiParam(value = "发往地存储区")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String shippingFlag;

    @Column(name = "LOGISTICS_VENDOR_NO")
    @ApiParam(value = "物流供应商")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String logisticsVendorNo;

    @Column(name = "part_no")
    @ApiParam(value = "物料编号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "part_name")
    @ApiParam(value = "物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partName;

    @Column(name = "SALES_UNIT")
    @ApiParam(value = "计价单位")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String salesUnit;

    @Column(name = "TRANSPORT_MODE")
    @ApiParam(value = "运输方式")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "NORMAL_ABNORMAL")
    @AnnoOutputColumn(refClass = WmsEnumUtil.NORMAL_ABNORMAL.class)
    private Integer transportMode;

    @Column(name = "price")
    @ApiParam(value = "单价")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private Double price;

    @Column(name = "START_DATE")
    @ApiParam(value = "生效日期")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String startDate;

    @Column(name = "END_DATE")
    @ApiParam(value = "失效日期")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String endDate;

}
