package cn.estsh.i3plus.pojo.wms.bean.mesdata;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description 发运物料校验基础数据（源于MES同步）
 * @Reference
 * @Author dragon
 * @CreateDate 2021/3/22 11:32
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "wms_send_part_check")
@Api("发运物料校验数据")
public class WmsSendPartCheck extends BaseBean {
    private static final long serialVersionUID = 5370578735799188359L;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name = "IS_CHECK")
    @ApiParam("是否校验")
    public Integer isCheck;

}
