package cn.estsh.i3plus.pojo.wms.bean.mesdata;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description 发运条码校验基础数据（源于MES同步）
 * @Reference
 * @Author dragon
 * @CreateDate 2021/3/22 11:32
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "wms_send_sn_check")
@Api("发运条码绑定关系校验数据")
public class WmsSendSnCheck extends BaseBean {
    private static final long serialVersionUID = 2140873585281055846L;

    @Column(name = "SN")
    @ApiParam("产品条码")
    public String sn;
}