package cn.estsh.i3plus.pojo.wms.bean.snapshot.erp;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : ERP COGI快照
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-10-24 18:24
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_ERP_COGI_SNAPSHOT", indexes = {
        @Index(columnList = "PART_NO"),
        @Index(columnList = "AREA_NO"),
        @Index(columnList = "ORGANIZE_CODE"),
        @Index(columnList = "SNAPSHOT_TIME"),
        @Index(columnList = "MOVE_TYPE")
})
public class WmsErpCOGISnapshot extends BaseBean {
    private static final long serialVersionUID = -4095222692227226944L;

    @Column(name="SNAPSHOT_TIME")
    @ApiParam("快照时间")
    private String snapshotTime;

    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "AREA_NO")
    @ApiParam("库存地点")
    private String areaNo;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty;

    @Column(name = "UNIT")
    @ApiParam("单位")
    private String unit;

    @Column(name = "MOVE_TYPE")
    @ApiParam("移动类型")
    private String moveType;

    @Column(name = "KEYIN_TIME")
    @ApiParam("录入时间")
    private String keyInTime;
}
