package cn.estsh.i3plus.pojo.wms.bean.snapshot.erp;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
/**
 * @Description : ERP fgDetail表
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2021/7/5 9:31
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_ERP_FG_DETAILS_SNAPSHOT", indexes = {@Index(columnList = "PART_NO"), @Index(columnList = "AREA_NO"), @Index(columnList = "ORGANIZE_CODE"), @Index(columnList = "SNAPSHOT_TIME")})
public class WmsErpFgDetailsSnapshot extends BaseBean {
    private static final long serialVersionUID = -4095444692227226944L;

    @Column(name = "SNAPSHOT_TIME")
    @ApiParam("快照时间")
    public String snapshotTime;

    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "AREA_NO")
    @ApiParam("库存地点")
    private String areaNo;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty;

    @Column(name = "UNIT")
    @ApiParam("单位")
    private String unit;

    @Column(name = "ITEM_PART_NO")
    @ApiParam("子零件号")
    private String itemPartNo;

    @Column(name = "VIN_CODE")
    @ApiParam("vin号")
    private String vinCode;

    @Column(name = "ITEM_PART_QTY")
    @ApiParam("子零件数量")
    private Double itemPartQty;

    @ApiParam("存储区")
    private String zoneNo;

    public WmsErpFgDetailsSnapshot(String snapshotTime,String createDatetime){
        this.snapshotTime = snapshotTime;
        this.createDatetime = createDatetime;
    }

    public WmsErpFgDetailsSnapshot(){
    }
}
