package cn.estsh.i3plus.pojo.wms.bean.snapshot.erp;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : ERP 报文接口快照
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-10-24 18:24
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_ERP_INTERFACE_SNAPSHOT", indexes = {
        @Index(columnList = "SID"),
        @Index(columnList = "SENDER"),
        @Index(columnList = "ORGANIZE_CODE"),
        @Index(columnList = "RECEIVER"),
        @Index(columnList = "SNAPSHOT_TIME")
})
public class WmsErpInterfaceSnapshot extends BaseBean {
    private static final long serialVersionUID = -4095333692227226944L;

    @Column(name="SNAPSHOT_TIME")
    @ApiParam("快照时间")
    public String snapshotTime;

    @Column(name = "SID")
    @ApiParam("业务唯一编号")
    public String sid;

    @Column(name = "SENDER")
    @ApiParam("发送方")
    public String sender;

    @Column(name = "SEND_TIME")
    @ApiParam("发出时间")
    public String sendTime;

    @Column(name = "RECEIVER")
    @ApiParam("接收方")
    public String receiver;

    @Column(name = "RECEIVED_TIME")
    @ApiParam("接收时间")
    public String receivedTime;

    @Column(name = "TRANS_TIME")
    @ApiParam("处理时间")
    public String transTime;

    @Column(name = "TRANS_STATUS")
    @ApiParam("处理状态")
    public String transStatus;
}
