package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * @Description : WmsVendorWindowDto
 * @Author :gsz
 * @Date 2021/6/29 16:32
 * @Modify
 **/
@Data
@Api("到货窗口输出类")
public class WmsVendorWindowDto {
    @Id
    @GeneratedValue(generator = "IDGenerator")
    @GenericGenerator(name = "IDGenerator", strategy = "assigned")
    @Column(name = "ID")
    @ApiParam(value = "主键", example = "0")
    public Long id;


    @ApiParam(value = "窗口时间")
    private String vendorWindowTime;

    @ApiParam(value = "星期一供应商")
    private String mondayVendor;

    @ApiParam(value = "星期二供应商")
    private String tuesdayVendor;

    @ApiParam(value = "星期三供应商")
    private String wednesdayVendor;

    @ApiParam(value = "星期四供应商")
    private String thursdayVendor;

    @ApiParam(value = "星期五供应商")
    private String fridayVendor;

    @ApiParam(value = "星期六供应商")
    private String saturdayVendor;

    @ApiParam(value = "星期日供应商")
    private String sundayVendor;

    public WmsVendorWindowDto() {
    }

    public WmsVendorWindowDto(WmsVendorWindowDto wmsVendorWindowDto) {
        this.vendorWindowTime = wmsVendorWindowDto.getVendorWindowTime();
        this.mondayVendor = wmsVendorWindowDto.getMondayVendor();
        this.tuesdayVendor = wmsVendorWindowDto.getTuesdayVendor();
        this.wednesdayVendor = wmsVendorWindowDto.getWednesdayVendor();
        this.thursdayVendor = wmsVendorWindowDto.getThursdayVendor();
        this.fridayVendor = wmsVendorWindowDto.getFridayVendor();
        this.saturdayVendor = wmsVendorWindowDto.getSaturdayVendor();
        this.sundayVendor = wmsVendorWindowDto.getSundayVendor();
    }
}
