package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@Api("JIS发运报表模型")
public class JisReportModel extends BaseBean {

    @ApiParam("客户工厂")
    private String custOrganizeCode;
    @ApiParam("计划装车时间")
    private String planLoadTime;
    @ApiParam("计划发货数量")
    private Double planShipingCount;
    @ApiParam("实际装车时间")
    private String actualLoadTime;
    @ApiParam("实际发货数量")
    private Double actualShipingCount;
    @ApiParam("状态")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TIME_STATUS.class,refForeignKey = "value",value = "description")
    private Integer shippingStatus;
    @ApiParam("料架号1")
    private String queueGroupNo_1;
    @ApiParam("客户上线时间1")
    private String custOnLineTime_1;
    @ApiParam("料架号2")
    private String queueGroupNo_2;
    @ApiParam("客户上线时间2")
    private String custOnLineTime_2;
    @ApiParam("料架号3")
    private String queueGroupNo_3;
    @ApiParam("客户上线时间3")
    private String custOnLineTime_3;
    @ApiParam("料架号4")
    private String queueGroupNo_4;
    @ApiParam("客户上线时间4")
    private String custOnLineTime_4;
    @ApiParam("客户现场库存")
    private Double qty;

}
